import 'package:json_annotation/json_annotation.dart';

part 'training_type.model.g.dart';

@JsonSerializable()
class TrainingType {

  TrainingType();

  factory TrainingType.fromJson(Map<String, dynamic> json) => _$TrainingTypeFromJson(json);
  Map<String, dynamic> toJson() => _$TrainingTypeToJson(this);

  int id;
  String name;
  String description;
  String slug;
  DateTime created_at;
  DateTime updated_at;

}